package com.iamberry.wechat.core.entity.news;

import java.io.Serializable;
import java.util.Date;

import com.iamberry.app.verify.ValidatorInterface;
import com.iamberry.wechat.core.entity.PageBean;

/**
 * @author 何秀刚
 * @description ： 官网新闻 
 * @createDate : 2016年6月13日
 */
public class News implements Serializable {

	private static final long serialVersionUID = 3082345867459862877L;
	
	private Integer newsId;					// 新闻ID

	@ValidatorInterface(validatorIsRule = "[^\\s]{6,}", isEnable = true)
	private String newsTitle;				// 标题

	@ValidatorInterface(validatorIsRule = "[^\\s]{1,}", isEnable = true)
	private String newsContexts;			// 内容

	@ValidatorInterface(validatorIsRule = "[^\\s]{4,}", isEnable = true)
	private String newsDesc;				// 内容简介

	@ValidatorInterface(validatorIsRule = "[^\\s]{1,9}", isEnable = true)
	private String newsAuthor;				// 新闻作者

	@ValidatorInterface(validatorIsRule = "[^\\s]{1,}", isEnable = true)
	private String newsImage;				// 封面图

	@ValidatorInterface(validatorIsRule = "[^\\s]{1,9}", isEnable = true)
	private String newsSource;				//  来源

	@ValidatorInterface(validatorIsRule = "[^\\s]{1,200}", isEnable = true)
	private String newsSourceUrl;			// 来源链接
	
	private Integer newsAccessNum;			// 访问次数
	
	private Integer newsShareNum;			// 分享次数
	
	private Date newsCreateDate;			// 创建时间
	
	private String newsSn;					// 对外ID

	private PageBean page = new PageBean();	//分页信息
	
	public String getNewsSn() {
		return newsSn;
	}

	public void setNewsSn(String newsSn) {
		this.newsSn = newsSn;
	}

	public String getNewsSourceUrl() {
		return newsSourceUrl;
	}

	public void setNewsSourceUrl(String newsSourceUrl) {
		this.newsSourceUrl = newsSourceUrl;
	}

	public Integer getNewsId() {
		return newsId;
	}

	public void setNewsId(Integer newsId) {
		this.newsId = newsId;
	}

	public String getNewsTitle() {
		return newsTitle;
	}

	public void setNewsTitle(String newsTitle) {
		this.newsTitle = newsTitle;
	}

	public String getNewsContexts() {
		return newsContexts;
	}

	public void setNewsContexts(String newsContexts) {
		this.newsContexts = newsContexts;
	}

	public String getNewsDesc() {
		return newsDesc;
	}

	public void setNewsDesc(String newsDesc) {
		this.newsDesc = newsDesc;
	}

	public String getNewsAuthor() {
		return newsAuthor;
	}

	public void setNewsAuthor(String newsAuthor) {
		this.newsAuthor = newsAuthor;
	}

	public String getNewsImage() {
		return newsImage;
	}

	public void setNewsImage(String newsImage) {
		this.newsImage = newsImage;
	}

	public String getNewsSource() {
		return newsSource;
	}

	public void setNewsSource(String newsSource) {
		this.newsSource = newsSource;
	}

	public Integer getNewsAccessNum() {
		return newsAccessNum;
	}

	public void setNewsAccessNum(Integer newsAccessNum) {
		this.newsAccessNum = newsAccessNum;
	}

	public Integer getNewsShareNum() {
		return newsShareNum;
	}

	public void setNewsShareNum(Integer newsShareNum) {
		this.newsShareNum = newsShareNum;
	}

	public Date getNewsCreateDate() {
		return newsCreateDate;
	}

	public void setNewsCreateDate(Date newsCreateDate) {
		this.newsCreateDate = newsCreateDate;
	}

	public PageBean getPage() {
		return page;
	}

	public void setPage(PageBean page) {
		this.page = page;
	}
}
